Brand
Queue a no-credit brand cache prefetch by domain
POST
/brand/prefetchAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
domain*string
The domain (or URL) to extract brand intelligence from
maxAgeMs?number
Maximum cache age in milliseconds before refreshing.
Range
0 <= value <= 7776000000BrandRetrieveMaxAgeMs?number
Alternate parameter name for maxAgeMs.
Range
0 <= value <= 7776000000timeoutMS?number
Request timeout hint in milliseconds.
Range
1000 <= value <= 120000forceLanguage?string
Preferred language hint for extraction.
maxSpeed?boolean
Prefer the fastest existing fetch path when possible.
Default
falseResponse Body
application/json
curl -X POST "https://example.com/brand/prefetch" \ -H "Content-Type: application/json" \ -d '{ "domain": "example.com" }'{ "success": true, "data": { "status": "queued", "jobId": "brand_prefetch_example.com_uuid", "domain": "example.com" }}Empty